Brivio API reference
Imports

Commit a staged import into contacts, articles, invoice history or stock. 202 with the job (completed or failed). 409 when not staged; 422 for an entity with no committer. Requires Idempotency-Key. (scope: imports:commit)

POST
/imports/{id}/commit

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Path Parameters

id*string

Import job id

Formatuuid

Header Parameters

Idempotency-Key*string

Required. Retries with the same key replay the first response instead of starting a second job (24 h).

Lengthlength <= 200

Response Body

OK

application/json
  1. response
data*
error*null
curl -X POST "https://example.com/imports/497f6eca-6276-4993-bfeb-53cbbbba6f08/commit" \  -H "Idempotency-Key: string"
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "entity": "string",    "preset": "string",    "filename": "string",    "source": "string",    "status": "running",    "total_rows": 0,    "imported_count": 0,    "updated_count": 0,    "skipped_count": 0,    "error_count": 0,    "preview": {      "news": 0,      "updates": 0,      "skips": 0,      "errors": 0    },    "reverted_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "finished_at": "2019-08-24T14:15:22Z"  },  "error": null}